<h2 style="text-align:center">OPEN SOURCE SOFTWARE NOTICE</h2>
<p>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just “this product”). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</p>
<h3>Warranty Disclaimer</h3>
<p><strong>THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.</strong></p>
<h3>Copyright Notice and License Texts</h3>
<h4>Software: AndroidX Annotation 1.5.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2013 Google Inc.</p>
<p>Copyright (c) 2010 Google Inc.</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2007 The Android Open Source Project</p>
<p>Copyright (c) 2015 Google Inc.</p>
<p>Copyright (c) 2016 Google Inc.</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2021 The Android Open Source Project</p>
<p>Copyright (c) 2018 The Android Open Source ProjectSample Tall FontRegularTallFont-RegularLicensed</p>
<p>Copyright Mathias Bynens <a href="https://mathiasbynens.be/">https://mathiasbynens.be/</a></p>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright (c) 2018 The Android Open Source ProjectSample FontRegularSample Tall FontVersion</p>
<p>Copyright (c) 2012-2017 The ANTLR Project</p>
<p>Copyright (c) 2009, Yahoo! Inc.</p>
<p>Copyright (c) 2019, The Android Open Source Project</p>
<p>Copyright (c) 2014 by Bart Kiers</p>
<p>Copyright (c) 2016SS The Android Open Source Project</p>
<p>Copyright (c) 2008 The Android Open Source Project</p>
<p>Copyright (c) 2001-2016 the original author or authors</p>
<p>Copyright 2006 The Inconsolata Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (c) 2010 The Android Open Source Project</p>
<p>Copyright 2010-2017 JetBrains s.r.o.</p>
<p>Copyright 2017, The Android Open Source Project</p>
<p>Copyright 2014, The Android Open Source Project</p>
<p>Copyright 2013, The Android Open Source Project</p>
<p>Copyright 2021a The Android Open Source Project</p>
<p>Copyright (c) 2008-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002 Kevin Atkinson (kevina@gnu.org)</p>
<p>Copyright (c) 2005-2011, International Business Machines Corporation and others</p>
<p>Copyright 2022 The Android Open Source Project</p>
<p>Copyright 2010-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 20188 The Android Open Source Project</p>
<p>Copyright (c) 2009 The Android Open Source Project</p>
<p>Copyright (c) 2004-2009, International Business Machines Corporation and others</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>(c) 2018 The Android Open Source ProjectVariable FontRegularVariableFont-RegularBoldLicensed</p>
<p>Copyright (c) 2004-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright (c) 2020 The Android Open Source Project</p>
<p>Copyright 2020 The Android Source Project</p>
<p>Copyright (c) 2020 The Dagger Authors</p>
<p>Copyright (c) 2011 Google Inc.</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright 2016-2019 JetBrains s.r.o.</p>
<p>Copyright (c) 2008-2010, International Business Machines Corporation and others</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open stream Project</p>
<p>Copyright 2010-2016 JetBrains s.r.o.</p>
<p>Copyright 2021 Google LLC</p>
<p>Copyright (c) 2011-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) Google</p>
<p>Copyright (c) 2014 The Android Open Source Project</p>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2006, David Crawshaw</p>
<p>Copyright (c) 2015-2021 the original</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright (c) 2008 Alexander Beider &amp; Stephen P. Morse</p>
<p>Copyright (c) 2019 The Android Open Source Project</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 2011, International Business Machines Corporation and others</p>
<p>Copyright 2016 The Android Open Source Project</p>
<p>Copyright (c) 2007-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2011, International Business Machines Corporation and others</p>
<p>Copyright 2002-2016 The Apache Software Foundation</p>
<p>Copyright 2010, The Android Open Source Project</p>
<p>Copyright today.year The Android Open Source Project</p>
<p>Copyright 2019 - The Android Open Source Project</p>
<p>Copyright 2016, The Android Open Source Project</p>
<p>Copyright 2015, The Android Open Source Project</p>
<p>Copyright 2012, The Android Open Source Project</p>
<p>Copyright 2011, The Android Open Source Project</p>
<p>Copyright (c) 2022 The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright 2019, The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright 2008, The Android Open Source Project</p>
<p>Copyright, John Smith, 19xx</p>
<p>Copyright (c) 2017 The Android Open Source ProjectSample FontRegularSampleFont-RegularSource</p>
<p>Copyright 2015 The Android Open Source Project</p>
<p>Copyright (c) 2007-2014, International Business Machines Corporation and others</p>
<p>Copyright 2010-2015 JetBrains s.r.o</p>
<p>Copyright (c) 2006 The Android Open Source Project</p>
<p>Copyright 2016-2020 JetBrains s.r.o.</p>
<p>Copyright (c) 2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 1991, 1999 Free Software Foundation, Inc.</p>
<p>(c) 2017 The Android Open Source ProjectSample FontThin ItalicSampleFont-ThinItalicLicensed</p>
<p>Copyright Exif IFD Attribute</p>
<p>Copyright 2018 Google Inc.</p>
<p>Copyright (c) 2007-2022, International Business Machines Corporation and others</p>
<p>Copyright (c) The Android Open Source Project</p>
<p>Copyright 2020 The Android expanded Source Project</p>
<p>Copyright 2006 The Inconsolata Project AuthorsInconsolataRegular2.000 CYRE Inconsolata-RegularInconsolata RegularVersion</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Apache License
Version 2.0, January 2004
http://www.apache.org/licenses/</p>
<p>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>
<ol>
<li>Definitions.</li>
</ol>
<p>&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.</p>
<p>&quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.</p>
<p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.</p>
<p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License.</p>
<p>&quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.</p>
<p>&quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.</p>
<p>&quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).</p>
<p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.</p>
<p>&quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot;</p>
<p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.</p>
<ol start="2">
<li>
<p>Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.</p>
</li>
<li>
<p>Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.</p>
</li>
<li>
<p>Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:</p>
</li>
</ol>
<p>You must give any other recipients of the Work or Derivative Works a copy of this License; and
You must cause any modified files to carry prominent notices stating that You changed the files; and
You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and
If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.
You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.</p>
<ol start="5">
<li>
<p>Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.</p>
</li>
<li>
<p>Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.</p>
</li>
<li>
<p>Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.</p>
</li>
<li>
<p>Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.</p>
</li>
<li>
<p>Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.</p>
</li>
</ol>
<p>END OF TERMS AND CONDITIONS</p>
<h4>Software: Checker Framework 3.33.0</h4>
<h5>Copyright notice:</h5>
<p>No copyright notice found in source files of this software</p>
<h5>License: MIT License</h5>
<p>The MIT License</p>
<p>Copyright (c) &lt;year&gt; &lt;copyright holders&gt;</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.</p>
<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.</p>
<h4>Software: error-prone 2.18.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2009 The Guava Authors</p>
<p>Copyright 2011 The Error Prone Authors.</p>
<p>Copyright 2012 Google Inc. All Rights Reserved.</p>
<p>Copyright 2012 The Error Prone Authors.</p>
<p>Copyright 2013 The Error Prone Authors.</p>
<p>Copyright 2014 The Error Prone Authors.</p>
<p>Copyright 2015 Google Inc. All Rights Reserved.</p>
<p>Copyright 2015 The Error Prone Authors.</p>
<p>Copyright 2016 The Error Prone Authors.</p>
<p>Copyright 2017 Google Inc. All Rights Reserved.</p>
<p>Copyright 2017 The Error Prone Authors.</p>
<p>Copyright 2018 The Error Prone Authors.</p>
<p>Copyright 2019 The Error Prone Authors.</p>
<p>Copyright 2020 The Error Prone Authors.</p>
<p>Copyright 2021 Google Inc. All Rights Reserved.</p>
<p>Copyright 2021 The Error Prone Authors.</p>
<p>Copyright 2022 Google Inc. All Rights Reserved.</p>
<p>Copyright 2022 The Error Prone Authors.</p>
<p>Copyright 2023 The Error Prone Authors.</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: FindBugs 3.0.2</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2005 Brian Goetz Released under the Creative Commons Attribution License</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: guava 32.0.1</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2005 The Guava Authors</p>
<p>Copyright (C) 2006 The Guava Authors</p>
<p>Copyright (C) 2007 The Guava Authors</p>
<p>Copyright (C) 2008 The Guava Authors</p>
<p>Copyright (C) 2009 The Guava Authors</p>
<p>Copyright (C) 2010 The Guava Authors</p>
<p>Copyright (C) 2011 The Guava Authors</p>
<p>Copyright (C) 2011 The Guava Authors.</p>
<p>Copyright (C) 2012 The Guava Authors</p>
<p>Copyright (C) 2013 The Guava Authors</p>
<p>Copyright (C) 2014 The Guava Authors</p>
<p>Copyright (C) 2015 The Guava Authors</p>
<p>Copyright (C) 2016 The Guava Authors</p>
<p>Copyright (C) 2017 The Guava Authors</p>
<p>Copyright (C) 2018 The Guava Authors</p>
<p>Copyright (C) 2019 The Guava Authors</p>
<p>Copyright (C) 2020 The Guava Authors</p>
<p>Copyright (C) 2021 The Guava Authors</p>
<p>Copyright 2011 Google Inc. All Rights Reserved.</p>
<p>Copyright 2019 The Guava Authors</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: j2objc 2.8</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2011 Google Inc.</p>
<p>Copyright 2012 Google Inc.</p>
<p>Copyright (c) 2016 com.google</p>
<p>Copyright (c) 2017 The Bazel Authors</p>
<p>Copyright 2007 Google Inc.</p>
<p>Copyright (c) 2008 The Android Open Source Project</p>
<p>Copyright (c) 2006 The Android Open Source Project</p>
<p>Copyright (c) 2009 The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 2010 The Android Open Source Project</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2007 The Android Open Source Project</p>
<p>(c) 2016 and later Unicode, Inc. and others</p>
<p>Copyright (c) 2005-2006, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009,2016 International Business Machines Corporation and others</p>
<p>Copyright (c) 2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2015, International Business Machines Corporation and others</p>
<p>(c) 2017 and later Unicode, Inc. and others</p>
<p>Copyright (c) 2009-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2013-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2009 International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2006-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2015, Google Inc, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2007, International Business Machines Corporation and others</p>
<p>Copyright (c) 2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2006-2009, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2014, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2015 International Business Machines Corporation and others</p>
<p>Copyright (c) 2014-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2015, Google, Inc., International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2004, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2015, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2015-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2016 International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2013-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2012-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2012-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2012-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 1999-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2005, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2014, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2016 International Business Machines Corporation and others</p>
<p>Copyright (c) 1999-2014, International Business Machines Corporation and others</p>
<p>Copyright IBM Corporation, 1996-2016</p>
<p>Copyright (c) IBM Corporation 1996, 2000</p>
<p>Copyright IBM Corporation, 1997, 2000, 2005, 2007</p>
<p>Copyright (c) 2008-2016, Google Inc, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2011, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005 - 2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005 - 2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2016, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) IBM Corporation 1999</p>
<p>Copyright (c) 2006-2016, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2012-2016, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2015, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2013, Google Inc, International Business Machines Corporation and others</p>
<p>Copyright (c) 2013-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2009 International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2016 International Business Machines Corporation and others</p>
<p>Copyright (c) IBM Corporation 1999-2000</p>
<p>Copyright (c) 2009, Yahoo! Inc.</p>
<p>Copyright (c) 2010-2011, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2016 International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2004, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2007, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2009, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2014, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2010, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2016, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2014-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2016, International Business Machines Corporation, Google, Inc. and others</p>
<p>Copyright (c) 2009-2016, Google, Inc. International Business Machines Corporation and others</p>
<p>Copyright (c) 2010-2016, Google, Inc. International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2016, Google Inc, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011-2016, International Business Machines Corporation</p>
<p>Copyright (c) 2005-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2009, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2006, International Business Machines Corporation and others</p>
<p>Copyright (c) 2016 and later Unicode, Inc. and others</p>
<p>Copyright (c) 2012-2015 International Business Machines Corporation and others</p>
<p>(c) 2016 Unicode(r), Inc.</p>
<p>Copyright 2003-2005 http://idnconnect.jdna.jp/testbed.html</p>
<p>Copyright (c) 2003-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003 National Electronics and Computer Technology Center and others</p>
<p>Copyright (c) 2005-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005, International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2006-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 1999-2004, International Business Machines Corporation and others</p>
<p>Copyright (c) 1991-2013 Unicode, Inc.</p>
<p>(c) 2002 and later Unicode, Inc. and others</p>
<p>Copyright (c) 2000-2005, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001-2007, International Business Machines Corporation and others</p>
<p>Copyright (c) 2006-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2004, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2004, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2015, International Business Machines Corporation and others</p>
<p>Copyright (c) IBM Corporation 1996-2010</p>
<p>Copyright (c) 2000-2009,2011 International Business Machines Corporation and others</p>
<p>Copyright (c) 2005-2015 IBM Corporation and others</p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>Copyright 2006 Google Inc.</p>
<p>(c) Copyright Taligent, Inc. 1996, 1997</p>
<p>(c) Copyright IBM Corp. 1996-2012</p>
<p>Copyright (c) 2012-2013, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011-2012, International Business Machines Corporation and others</p>
<p>(c) Copyright Taligent, Inc. 1996</p>
<p>(c) Copyright IBM Corp. 1996</p>
<p>Copyright (c) 2004, 2012 International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2010, Yahoo! Inc.</p>
<p>Copyright (c) 2004, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2016, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2001, International Business Machines Corporation and + others</p>
<p>Copyright (c) 1999-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 1996-2006, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 1998-2010, International Business Machines Corporation and Unicode, Inc.</p>
<p>Copyright (c) 2002-2010, International Business Machines Corporation and Unicode, Inc.</p>
<p>Copyright (c) 1998-2007 International Business Machines Corporation and Unicode, Inc.</p>
<p>Copyright (c) 1998-2003 International Business Machines Corporation and Unicode, Inc.</p>
<p>Copyright (c) 2004-2016 International Business Machines Corporation and others</p>
<p>(c) . Simplifies</p>
<p>Copyright (c) 2001-2006, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2007, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2009, International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2014, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2013, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2010, International Business Machines Corporation and others</p>
<p>Copyright (c) 2007-2016, International Business Machines Corporation and Others</p>
<p>Copyright (c) 1996-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 2003-2012, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2015, Google, Inc., International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2015, Google, Inc. International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2010, Google, Inc. International Business Machines Corporation and others</p>
<p>Copyright (c) 2011, Google, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011-2012, Google, International Business Machines Corporation and others</p>
<p>Copyright 2005-2012 IBM.</p>
<p>Copyright (c) 2012 Google Inc.</p>
<p>Copyright (c) 2011 Google Inc.</p>
<p>Copyright (c) 2014 Square, Inc.</p>
<p>Copyright 2014 Square Inc.</p>
<p>Copyright (c) 2015 Square, Inc.</p>
<p>Copyright (c) 1989, 1991 Free Software Foundation, Inc.</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright 2005-2008 The Android Open Source Project</p>
<p>Copyright 2006 The Apache Software Foundation</p>
<p>Copyright (c) 1995-2014 International Business Machines Corporation and others</p>
<p>Copyright (c) 2002,2003, Stefan Haustein, Oberhausen, Rhld., Germany</p>
<p>Copyright (c) 2000 World Wide Web Consortium, (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University)</p>
<p>Copyright (c) 1993 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright (c) 2014 The Android Open Source Project</p>
<p>Character (c) Character</p>
<p>Copyright (c) 1991-2006 Unicode, Inc.</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2019 The Android Open Source Project</p>
<p>Copyright (c) 2004 World Wide Web Consortium</p>
<p>Copyright 2016 The Android Open Source Project</p>
<p>Copyright 2014 The Android Open Source Project</p>
<p>Copyright (c) 2013 Google Inc.</p>
<p>Copyright (c) 2010 Google Inc.</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright 2015 The Android Open Source Project</p>
<p>Copyright 2013 The Android Open Source Project</p>
<p>Copyright (c) 2003, International Business Machines Corporation and others</p>
<p>(c) Copyright IBM Corp. 1996-2005</p>
<p>(c) Copyright IBM Corp. and others, 1996-2009</p>
<p>Copyright (c) 2003-2004, International Business Machines Corporation and others</p>
<p>(c) Copyright IBM Corp. 1996-2003</p>
<p>(c) Copyright IBM Corp. 1999-2003</p>
<p>(c) Copyright Taligent, Inc. 1996 - 1997</p>
<p>(c) Copyright IBM Corp. 1996 - 1998</p>
<p>(c) Copyright IBM Corp. 1996-1998</p>
<p>(c) Copyright IBM Corp. 1996 - 1999</p>
<p>(c) Copyright IBM Corp. 1996 - 2002</p>
<p>(c) Copyright IBM Corp. 1996, 1997</p>
<p>(c) Copyright Taligent, Inc. 1996,1997</p>
<p>(c) Copyright Taligent, Inc. 1996-1998</p>
<p>Copyright (c) 1998, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1991-2007 Unicode, Inc.</p>
<p>Copyright (c) 1991-2011 Unicode, Inc.</p>
<p>Copyright (c) 1994, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2013 Oracle and/or its affiliates</p>
<p>Copyright (c) 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 1995, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 1996, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 1997, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 1997, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003,2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2013, Oracle and/or its affiliates</p>
<p>Copyright 2009 Google Inc.</p>
<p>Copyright (c) 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2010, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2010, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2010, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, Oracle and/or its affiliates</p>
<p>Copyright 2015 Google Inc.</p>
<p>(c) Copyright IBM Corp. 1999</p>
<p>(c) IBM Corp. 1997-1998</p>
<p>Copyright (c) 2008, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007-2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2008-2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2012, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2011-2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2013, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2008-2013, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012-2013, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2012, 2013 Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2009-2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 1997, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003-2008, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2017, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2016, Oracle and/or its affiliates</p>
<p>Copyright 1997 by Sun Microsystems, Inc., 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.</p>
<p>Copyright (c) 2011, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2016, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 2001, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2015, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2014, Oracle and/or its affiliates</p>
<p>(c) 1999 Entrust.net Limited</p>
<p>Copyright (c) 1998, 2018, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2018, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008-2012 Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2010-2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2010-2013, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>(c) 86, (byte)242, (byte)205</p>
<p>Copyright (c) 2008,2012, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright (c) 2014, Stephen Colebourne &amp; Michael Nascimento Santos</p>
<p>Copyright 2001-2017 The Apache Software Foundation</p>
<p>Copyright (c) 1995-2005 International Business Machines Corporation and others</p>
<p>Copyright (c) 1995-2009 International Business Machines Corporation and others</p>
<p>Copyright (c) 2004 by Sun Microsystems, Inc.</p>
<p>(c) 1995-2004 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) 2000 - 2009 The Legion Of The Bouncy Castle (http://www.bouncycastle.org)</p>
<p>Copyright (c) 2001-2004 by the MX4J contributors</p>
<p>copyright (c) 1991-1998, Thomas G. Lane</p>
<p>Copyright (c) 1998-2007 Marti Maria Saguer</p>
<p>Copyright (c) 2004, 2006-2009 Glenn Randers-Pehrson</p>
<p>Copyright (c) 2000-2002 Glenn Randers-Pehrson</p>
<p>Copyright (c) 1998, 1999, 2000 Glenn Randers-Pehrson</p>
<p>Copyright (c) 1996, 1997 Andreas Dilger</p>
<p>Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.</p>
<p>Copyright (c) The Internet Society (1997)</p>
<p>Copyright (c) The Internet Society (1998)</p>
<p>Copyright (c) The Internet Society (1999)</p>
<p>Copyright (c) The Internet Society (2000)</p>
<p>Copyright (c) The Internet Society (2001)</p>
<p>Copyright (c) The Internet Society (2002)</p>
<p>Copyright (c) The Internet Society (1997-2000)</p>
<p>Copyright (c) The Internet Society (2005)</p>
<p>Copyright (c) 1991-1993 RSA Laboratories</p>
<p>(c) Tavmjung Bah</p>
<p>Copyright (c) 2003 by Bitstream, Inc.</p>
<p>Copyright (c) 2006 by Tavmjong Bah</p>
<p>Copyright (c) 2000-2005 INRIA, France Telecom</p>
<p>Copyright 2001-2009 Kent Beck <a href="mailto:kent@threeriversinstitute.org">kent@threeriversinstitute.org</a></p>
<p>Copyright 2000-2009 Erich Gamma <a href="mailto:erich_gamma@acm.org">erich_gamma@acm.org</a></p>
<p>Copyright 2006-2009 David Saff <a href="mailto:david@saff.net">david@saff.net</a></p>
<p>Copyright (c) 1987, 1993, 1994 The Regents of the University of California</p>
<p>Copyright (c) 1996 by Internet Software Consortium</p>
<p>Copyright (c) 1992,1993,1995,1996,1997,1988 Jens-Uwe Mager, Helios Software GmbH, Hannover, Germany</p>
<p>Copyright (c) 2000 by Martin Pool <a href="mailto:mbp@humbug.org.au">mbp@humbug.org.au</a></p>
<p>Copyright (c) Caldera International Inc.</p>
<p>Copyright (c) Caldera International Inc. 2001-2002</p>
<p>Copyright (c) 2000-2006, www.hamcrest.org</p>
<p>Copyright 2006, 2010 The Apache Software Foundation</p>
<p>(c) Copyright 2005 Intel Corporation</p>
<p>(c) Copyright 2005-2006 Intel Corporation</p>
<p>(c) Copyright 2006 Intel Corporation</p>
<p>Copyright (c) 1995-2008 International Business Machines Corporation and others</p>
<p>Copyright 2004-2007 The Apache Software Foundation</p>
<p>(c) Copyright 1997,2004 International Business Machines Corporation</p>
<p>(c) Copyright IBM Corp. 2003</p>
<p>Portions Copyright (c) 1999-2007 Apple Inc.</p>
<p>Copyright (c) 2002, 2006 Apple Inc.</p>
<p>Copyright (c) 1999-2007 Apple Inc.</p>
<p>Copyright 2013 Google, Inc.</p>
<p>Copyright (c) 1995-2016 International Business Machines Corporation and others</p>
<p>Copyright (c) 1991-2016 Unicode, Inc.</p>
<p>Copyright (c) 2006-2008, Google Inc.</p>
<p>(c) 1999 TaBE Project</p>
<p>Copyright (c) 1999 Pai-Hsiang Hsiao</p>
<p>Copyright (c) 1999 Computer Systems and Communication Lab, Institute of Information Science, Academia Sinica</p>
<p>Copyright 1996 Chih-Hao Tsai Beckman Institute, University of Illinois c-tsai4@uiuc.edu http://casper.beckman.uiuc.edu/~c-tsai4</p>
<p>Copyright 2000, 2001, 2002, 2003 Nara Institute of Science and Technology</p>
<p>Copyright (c) 2013 International Business Machines Corporation and others</p>
<p>Copyright (c) 2013 Brian Eugene Wilson, Robert Martin Campbell</p>
<p>Copyright (c) 2014 International Business Machines Corporation and others</p>
<p>Copyright (c) 2013, LeRoy Benjamin Sharon</p>
<p>Copyright (c) 1999-2005, International Business Machines Corporation and others</p>
<p>Copyright (c) 1997-2016, International Business Machines Corporation and others</p>
<p>Copyright (c) 1997-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 1997-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2011 International Business Machines Corporation and others</p>
<p>Copyright (c) 1998-2014, International Business Machines Corporation and others</p>
<p>Copyright (c) 2004-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 1999-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 1999-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2002-2012, International Business Machines Corporation and others</p>
<p>Copyright (c) 2000-2011, International Business Machines Corporation and others</p>
<p>Copyright (c) 2011, 2012, Oracle and/or its affiliates</p>
<p>Copyright IBM Corporation, 2001</p>
<p>Copyright (c) 1995 Colin Plumb</p>
<p>Copyright IBM Corporation, 1997, 2001</p>
<p>Copyright (c) 2017, Oracle and/or its affiliates</p>
<p>Copyright (c) 2007-2009, JSR305 expert group</p>
<p>Copyright 2014, Google Inc.</p>
<p>Copyright 2008 Google Inc.</p>
<p>Copyright 2013 Google Inc.</p>
<p>Copyright (c) 2007 Mockito</p>
<p>Copyright 2016 Google Inc.</p>
<p>Copyright 2018 Google Inc.</p>
<p>Copyright 1999-2006 The Apache Software Foundation</p>
<p>copyright (c) 1999-2002, Lotus Development Corporation., http://www.lotus.com</p>
<p>copyright (c) 2001-2002, Sun Microsystems., http://www.sun.com</p>
<p>copyright (c) 2003, IBM Corporation., http://www.ibm.com</p>
<p>copyright (c) 1999, IBM Corporation., http://www.ibm.com</p>
<p>copyright (c) 1999, Sun Microsystems., http://www.sun.com</p>
<p>copyright (c) 1999</p>
<p>Copyright 2001-2003,2006 The Apache Software Foundation</p>
<p>copyright (c) 2000 World Wide Web Consortium, http://www.w3.org</p>
<p>Copyright (c) 2002 World Wide Web Consortium, (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University)</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: JetBrains Java Annotations 13.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2000-2016 JetBrains s.r.o.</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: Kotlin 1.7.10</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2005 University of Maryland - Path</p>
<p>Copyright (c) 2008-2018, Nathan Sweet</p>
<p>Copyright (c) 1995, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996 by Internet Software Consortium</p>
<p>Copyright (c) 2005-2006 University of Maryland</p>
<p>Copyright (c) 1997, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999 CERN - European Organization for Nuclear Research</p>
<p>Copyright (c) 2013 Square, Inc.</p>
<p>Copyright (c) 2019-2020 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2013 Aaron Forsander</p>
<p>Copyright (c) 2008 Ariel Flesler</p>
<p>Copyright (c) 2020-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1996, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012 John Resig, Jorn Zaefferer</p>
<p>Copyright (c) 2012-2018 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2000 by Martin Pool <a href="mailto:mbp@humbug.org.au">mbp@humbug.org.au</a></p>
<p>Copyright (c) Caldera International Inc. 2001-2002</p>
<p>Copyright 2011-2017, JetBrains</p>
<p>Copyright (c) 2005 University of Maryland</p>
<p>Copyright (c) 1996, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2013 The Project Lombok Authors</p>
<p>Copyright (c) 2000-2006, www.hamcrest.org</p>
<p>Copyright (c) 1996, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright 2000-2021 JetBrains s.r.o. and contributors</p>
<p>Copyright (c) 2009-2021 The Project Lombok Authors</p>
<p>Copyright 2010-2017 JetBrains s.r.o.</p>
<p>Copyright (c) 2000-2015 www.hamcrest.org</p>
<p>Copyright (c) The Internet Society (2005)</p>
<p>Copyright (c) 2003-2009 Steven G. Kargl</p>
<p>Copyright (c) 2000, 2005, Oracle and/or its affiliates</p>
<p>copyright by JetBrains</p>
<p>Copyright 2000-2018 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) 2007-08 Google Inc.</p>
<p>Copyright (c) 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1993 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 1998, 1999, Oracle and/or its affiliates</p>
<p>Copyright Taligent, Inc. 1996, 1997</p>
<p>Copyright 2001-2009 Kent Beck <a href="mailto:kent@threeriversinstitute.org">kent@threeriversinstitute.org</a></p>
<p>Copyright (c) 1994, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2008, Oracle and/or its affiliates</p>
<p>Copyright 2004 Sun Microsystems, Inc.</p>
<p>Copyright (c) 2000-2011 ymnk, JCraft,Inc.</p>
<p>Copyright (c) 1994, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-1999 Netscape Communications Corporation</p>
<p>Copyright (c) 2011-2013 Vojta Jina and contributors</p>
<p>Copyright 2000-2020 JetBrains s.r.o.</p>
<p>Copyright 2010-2018 JetBrains s.r.o.</p>
<p>Copyright 2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2006-2009 Glenn Randers-Pehrson</p>
<p>Copyright (c) 2018 Chad Retz</p>
<p>Copyright (c) 1994, 2001, Oracle and/or its affiliates</p>
<p>Copyright 2010-2018 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) 1995-2004 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) 2004-2017 QOS.ch</p>
<p>Copyright (c) 1993,2004 Sun Microsystems</p>
<p>Copyright 2010-2020 JetBrains s.r.o</p>
<p>Copyright (c) 1995-2005 International Business Machines Corporation and others</p>
<p>Copyright 2006-2009 David Saff <a href="mailto:david@saff.net">david@saff.net</a></p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>copyright (c) 1991-1998, Thomas G. Lane</p>
<p>Copyright (c) 1998, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1987, 1993, 1994 The Regents of the University of California</p>
<p>Copyright (c) 2012-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1996, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998-2007 Marti Maria Saguer</p>
<p>Copyright (c) 1996, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2006, Oracle and/or its affiliates</p>
<p>Copyright 2013 Aaron Forsander</p>
<p>Copyright (c) 1989, 1991 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2016-present, RxJava</p>
<p>Copyright (c) 1998-1999 Netscape Communications Corporation</p>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2000, 2009, Oracle and/or its affiliates</p>
<p>Copyright 2000-2016 JetBrains s.r.o.</p>
<p>Copyright 2002-2011, LAMP/EPFL</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright (c) The Internet Society (2000)</p>
<p>Copyright IBM Corp. 1996-1998</p>
<p>Copyright 2010-2022 JetBrains s.r.o.</p>
<p>Copyright (c) 2018-2021, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2008, 2017 Sun Microsystems, Oracle Corporation</p>
<p>Copyright 2009 The Closure Library</p>
<p>Copyright (c) 1997, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) The Internet Society (1999)</p>
<p>Copyright 2010-2014 JetBrains s.r.o.</p>
<p>Copyright 2009 The Closure Library Authors</p>
<p>Copyright (c) 2001, Eric D. Friedman</p>
<p>(c) 2011 the Dart Project Authors</p>
<p>Copyright (c) 2004, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000 - 2009 The Legion Of The Bouncy Castle (http://www.bouncycastle.org)</p>
<p>Copyright (c) 1998, 1999, 2000 Glenn Randers-Pehrson</p>
<p>Copyright 2002-2007 the original author or authors</p>
<p>Copyright 2010-20166 JetBrains s.r.o.</p>
<p>Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.</p>
<p>Copyright (c) 2003, Kohsuke Kawaguchi</p>
<p>Copyright (c) The Internet Society (2001)</p>
<p>Copyright (c) 1992,1993,1995,1996,1997,1988 Jens-Uwe Mager, Helios Software GmbH, Hannover, Germany</p>
<p>Copyright (c) 2007, Eclipse Foundation, Inc.</p>
<p>Copyright JetBrains s.r.o.</p>
<p>Copyright (c) 1991-1993 RSA Laboratories</p>
<p>Copyright (c) 2019-2021 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) The Internet Society (1998)</p>
<p>(c) Copyright IBM Corp. 1996 - 1998</p>
<p>Copyright (c) 1994, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995-2009 International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2013 The Project Lombok Authors</p>
<p>Copyright 2012, the Dart project authors</p>
<p>Copyright (c) 1995-2017 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) The Internet Society (2002)</p>
<p>Copyright (c) 1995, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 1997 Andreas Dilger</p>
<p>Copyright (c) 1996, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000-2011 INRIA, France Telecom</p>
<p>Copyright JS Foundation and other contributors <a href="https://js.foundation/">https://js.foundation/</a></p>
<p>Copyright (c) The Internet Society (1997)</p>
<p>Copyright Eric Ford &amp; Hubert Holin 2001</p>
<p>(c) 1997-1999 Netscape Communications Corporation</p>
<p>Copyright 2000-2010 JetBrains s.r.o.</p>
<p>Copyright (c) 2002, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003-2011 David Schultz</p>
<p>Copyright (c) 1997, 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995 Patrick Powell</p>
<p>Copyright (c) 1996 - 2021, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a> , and many contributors</p>
<p>Copyright (c) 1995, 2006, Oracle and/or its affiliates</p>
<p>Copyright 2005-2014 Daniel James</p>
<p>Copyright (c) 2008 Harold Cooper</p>
<p>Copyright (c) 1997, 2012, Oracle and/or its affiliates</p>
<p>(c) 2011 The Guava Authors</p>
<p>Copyright (c) 2002-2012 EPFL, Lausanne, unless otherwise specified</p>
<p>Copyright 2010-2015 JetBrains s.r.o.</p>
<p>Copyright 2002-2017 Gradle, Inc.</p>
<p>Copyright (c) 2011 Szabolcs Nagy</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2011-2019 Google, Inc.</p>
<p>Copyright (c) 2004 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 1996, 2009, Oracle and/or its affiliates</p>
<p>Copyright Taligent, Inc. 1996</p>
<p>Copyright (c) Caldera International Inc.</p>
<p>Copyright (c) 1997-2000 Netscape Communications Corporation</p>
<p>Copyright (c) 1994, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 The Android Open Source Project</p>
<p>Copyright (c) 1994, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2018-2021 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2003 by Bitstream, Inc.</p>
<p>Copyright 2006 Nemanja Trifunovic</p>
<p>Copyright (c) 2018-2020 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2003, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000 - 2019 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)</p>
<p>Copyright 2010-2020 JetBrains s.r.o.</p>
<p>Copyright (c) 2012-2016 Free Software Foundation, Inc.</p>
<p>Copyright 201L0-201L9 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright Taligent, Inc. 1996-1998</p>
<p>Copyright 2000-2018 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2015 The Project Lombok Authors</p>
<p>Copyright 2019-2020 JetBrains s.r.o.</p>
<p>Copyright 2011, The Dojo Foundation</p>
<p>Copyright 2010-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003-2009 Bruce D. Evans</p>
<p>Copyright (c) 1994, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2011, 2013 Stephan Herrmann and others</p>
<p>Copyright (c) 1996, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009 Free Software Foundation, Inc.</p>
<p>Copyright 2010- today.year JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 1995, 2010, Oracle and/or its affiliates</p>
<p>Copyright 2000-2007 JetBrains s.r.o.</p>
<p>Copyright (c) 1998, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2019-2021, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2009, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2008 Google Inc.</p>
<p>Copyright 2007 Google Inc.</p>
<p>Copyright Eric Ford &amp; Hubert Holin 2001. constexpr KDouble LN2</p>
<p>Copyright (c) 1994, 1998, Oracle and/or its affiliates</p>
<p>Copyright 2000-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2000-2002 Glenn Randers-Pehrson</p>
<p>Copyright 2018-2020 The JSpecify Authors</p>
<p>Copyright (c) 2000-2005 INRIA, France Telecom</p>
<p>Copyright (c) 1996-2014 Anthony Green, Red Hat, Inc and others</p>
<p>Copyright (c) 1998 - 2020, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright (c) 1996, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006 by Tavmjong Bah</p>
<p>Copyright 2000-2009 Erich Gamma <a href="mailto:erich_gamma@acm.org">erich_gamma@acm.org</a></p>
<p>Copyright 2019 Square, Inc.</p>
<p>Copyright (c) 1994, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2010, Oracle and/or its affiliates</p>
<p>Copyright 2000-2014 JetBrains s.r.o.</p>
<p>Copyright 2010-2016 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2017 by the contributors</p>
<p>Copyright (c) 2005-2014 Rich Felker</p>
<p>Copyright 2011 The Guava Authors</p>
<p>Copyright (c) 2000, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2000-2017 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2000, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2019 Microsoft Corporation, Daan Leijen</p>
<p>Copyright 2010 Tim Down</p>
<p>Copyright (c) 2005-2010 Sam Stephenson</p>
<p>Copyright (c) 1999, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2013-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2008 Stephen L. Moshier</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 1997, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 Holger Weiss</p>
<p>Copyright (c) 2019-2020, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2011, the Dart project</p>
<p>Copyright IBM Corp. 1996</p>
<p>Copyright (c) 1997, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2008, Oracle and/or its affiliates</p>
<p>Copyright 2010-2020 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright 2015 Realm Inc.</p>
<p>Copyright (c) 1997, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2016 Jamie Sherriff</p>
<p>Copyright (c) 2001-2004 by the MX4J contributors</p>
<p>Copyright (c) 1994 David Burren</p>
<p>(c) Tavmjung Bah</p>
<p>Copyright (c) 1995-1999 Unicode, Inc.</p>
<p>Copyright (c) 2016 Daniel Dreibrodt</p>
<p>Copyright (c) 2020 The JSpecify Authors</p>
<p>Copyright (c) 2018 - 2020, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright JS Foundation and other contributors, https://js.foundation</p>
<p>Copyright 2010-2022 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002 JSON.org</p>
<p>Copyright (c) 2011 Valentin Ochs</p>
<p>copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters &amp; Editors <a href="http://underscorejs.org/">http://underscorejs.org/</a></p>
<p>Copyright 2010-2019 JetBrains s.r.o.</p>
<p>Copyright (c) 1998 - 2021, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright 2011, John Resig</p>
<p>Copyright (c) 1991, 1999 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2001-2008 Ville Laurikari</p>
<p>Copyright 2010-2021 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 1993 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 2018-2020, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 1998, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2010-2021 JetBrains s.r.o.</p>
<p>Copyright (c) 1995, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) The Internet Society (1997-2000)</p>
<p>Copyright (c) 1994, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2014 by the contributors</p>
<p>Copyright 2010-2013 JetBrains s.r.o.</p>
<p>Copyright (c) 2011-15 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: The Legion of the Bouncy Castle 1.74</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2000-2023 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)</p>
<p>Copyright (c) 2000-2023 The Legion Of The Bouncy Castle Inc. (https://www.bouncycastle.org)</p>
<p>Copyright Dr B. R Gladman (gladman@seven77.demon.co.uk) and Sam Simpson (s.simpson@mia.co.uk)</p>
<p>Copyright (c) 2001 Company</p>
<p>Copyright (c) 2011 Tim Buktu (tbuktu@hotmail.com)</p>
<p>Copyright 1997-2007 Sun Microsystems, Inc.</p>
<p>Copyright (c) 1989, 1991 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1997, 2020 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 2018 Oracle and/or its affiliates</p>
<p>Copyright (c) 2021 Oracle and/or its affiliates</p>
<p>Copyright (c) 2005, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 2014, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2018 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2021 Oracle and/or its affiliates</p>
<p>Copyright (c) 2014, 2020 Oracle and/or its affiliates</p>
<p>Copyright (c) 2010, 2018 Oracle and/or its affiliates</p>
<p>Copyright (c) 2010, 2020 Oracle and/or its affiliates</p>
<p>Copyright (c) 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 2008, 2018 Oracle and/or its affiliates</p>
<p>Copyright (c) 2012, 2020 Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, 2021 Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, 2019 Jason Mehrens</p>
<p>Copyright (c) 2015, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 2015, 2018 Jason Mehrens</p>
<p>Copyright (c) 2009, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2019 Jason Mehrens</p>
<p>Copyright (c) 2009, 2020 Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2020 Jason Mehrens</p>
<p>Copyright (c) 2009, 2018 Jason Mehrens</p>
<p>Copyright (c) 2013, 2018 Oracle and/or its affiliates</p>
<p>Copyright (c) 2013, 2018 Jason Mehrens</p>
<p>Copyright (c) 2020 Oracle and/or its affiliates</p>
<p>Copyright (c) 2018 Eclipse Foundation</p>
<p>Copyright (c) 2010, 2019 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-2012 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-2011 Oracle and/or its affiliates</p>
<p>Copyright (c) 2005-2010 Oracle and/or its affiliates</p>
<p>Copyright (c) 2005-2012 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-2010 Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-2013 Oracle and/or its affiliates</p>
<p>Copyright (c) 2010-2011 Oracle and/or its affiliates</p>
<p>Copyright (c) 2008-2012 Oracle and/or its affiliates</p>
<p>Copyright (c) 2012 Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2012 Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2012 Jason Mehrens</p>
<p>Copyright (c) 2009-2010 Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2010 Jason Mehrens</p>
<p>Copyright (c) 2010 Oracle and/or its affiliates</p>
<p>Copyright 2008-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2008-2023 Ping Identity Corporation</p>
<p>Copyright 2017-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2017-2023 Ping Identity Corporation</p>
<p>Copyright 2014-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2014-2023 Ping Identity Corporation</p>
<p>Copyright 2009-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2009-2023 Ping Identity Corporation</p>
<p>Copyright 2015-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2015-2023 Ping Identity Corporation</p>
<p>Copyright 2010-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2010-2023 Ping Identity Corporation</p>
<p>Copyright 2016-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2016-2023 Ping Identity Corporation</p>
<p>Copyright 2007-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2007-2023 Ping Identity Corporation</p>
<p>Copyright 2023 Ping Identity Corporation</p>
<p>Copyright 2020-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2023 Ping Identity Corporation</p>
<p>Copyright 2011-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2011-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2020-2023 Ping Identity Corporation</p>
<p>Copyright 2019-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2019-2023 Ping Identity Corporation</p>
<p>Copyright 2022-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2022-2023 Ping Identity Corporation</p>
<p>Copyright 2013-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2013-2023 Ping Identity Corporation</p>
<p>Copyright 2021-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2021-2023 Ping Identity Corporation</p>
<p>Copyright 2012-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2012-2023 Ping Identity Corporation</p>
<p>Copyright 2018-2023 Ping Identity Corporation</p>
<p>Copyright (c) 2018-2023 Ping Identity Corporation</p>
<p>Copyright (c) 1991, 1999 Free Software Foundation, Inc.</p>
<p>Copyright 2008-2023 Ping Identity Corporation Bundle-Name UnboundID LDAP</p>
<p>Copyright (c) 2005 The Legion Of The Bouncy Castle (https://www.bouncycastle.org)</p>
<p>(c) 2006 VeriSign, Inc.</p>
<p>Copyright 2011, Cisco Systems, Inc</p>
<p>Copyright (c) 2007 Timothy Wall</p>
<p>Copyright (c) 2007 Wayne Meissner</p>
<p>Copyright (c) 2007-2013 Timothy Wall</p>
<p>Copyright (c) 2011 Timothy Wall</p>
<p>Copyright (c) 2009 Timothy Wall</p>
<p>Copyright (c) 2007-2015 Timothy Wall</p>
<p>Copyright 2007 Timothy Wall</p>
<p>Copyright (c) 2007-2008 Timothy Wall</p>
<p>Copyright (c) 2007-2012 Timothy Wall</p>
<p>Copyright (c) 2012 Timothy Wall</p>
<p>Copyright 2008-2016 Timothy Wall</p>
<p>Copyright (c) 2015 Andreas PAX L u00FCck</p>
<p>Copyright 2014 Martin Steiger</p>
<p>Copyright (c) 2010 Timothy Wall</p>
<p>Copyright (c) 2007 Olivier Chafik</p>
<p>Copyright (c) 2008 Timothy Wall</p>
<p>Parts Copyright (c) 2007 Olivier Chafik</p>
<p>Copyright (c) 2011 Denis Tulskiy</p>
<p>Copyright (c) 2015 Daniel Widdis</p>
<p>Copyright (c) 2014 Reinhard Pointner</p>
<p>Copyright (c) 2015 Goldstein Lyor</p>
<p>Copyright (c) 2015 Adam Marcionek</p>
<p>Copyright (c) 2010 Daniel Doubrovkine</p>
<p>Copyright (c) 2012 Tobias Wolf</p>
<p>copyright (c) 2007 Timothy Wall</p>
<p>Copyright (c) 2015 Michael Freeman</p>
<p>Copyright (c) 2007, 2013 Timothy Wall, Markus Karg</p>
<p>Copyright (c) 2010, 2013 Daniel Doubrovkine, Markus Karg</p>
<p>Copyright (c) 2016 Adam Marcionek</p>
<p>Copyright 2010 Digital Rapids Corp.</p>
<p>Copyright (c) 2013 Ralf Hamberger, Markus Karg</p>
<p>Copyright (c) 2010,2011 Daniel Doubrovkine</p>
<p>Copyright (c) 2010 EugineLev</p>
<p>Copyright (c) 2016 Minoru Sakamoto</p>
<p>Copyright 2002-2004 Apache Software Foundation</p>
<p>Copyright (c) 2011 Daniel Doubrovkine</p>
<p>Copyright (c) 2013 Tobias Wolf</p>
<p>Copyright (c) 2014 Dr David H. Akehurst (itemis)</p>
<h5>License: MIT License</h5>
<p>Please see above</p>
<h3>Written Offer</h3>
<p>This product contains software whose rights holders license it on the terms of the GNU General Public License, version 2 (GPLv2) and/or other open source software licenses. We will provide you and any third party with the source code of the software licensed under an open source software license if you send us a written request by mail or email to the following addresses:</p>
<p><a href="mailto:mobile@huawei.com">mobile@huawei.com</a></p>
<p>detailing the name of the product and the firmware version for which you need the source code and indicating how we can contact you.
Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you, we will further discuss it by mail or email.
This offer is valid to anyone in receipt of this information.</p>
<p>Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you, we will further discuss it by mail or email.</p>
<p>This offer is valid to anyone in receipt of this information.</p>
<p><strong>THIS OFFER IS VALID FOR THREE YEARS FROM THE MOMENT WE DISTRIBUTED THE PRODUCT OR FIRMWARE.</strong></p>
